Update Folder
Rename a folder, move it to another parent folder, or move assets into the folder by sending asset_ids.
Path Parameters
- Type: stringworkspace
_id requiredVideo workspace id.
- Type: stringfolder
_id requiredFolder id.
Body
application/json
- Type: stringnamerequired
New folder name.
- Type: array string[]asset
_ids Asset ids to move into this folder.
- Type: string | nullparent
_id New parent folder id. Send
nullto move the folder to the root level.
Responses
- application/json
- application/json
- application/json
Request Example for post/video/workspaces/{workspace_id}/folders/{folder_id}
import Gumlet from '@gumlet/nodejs-sdk';
const client = new Gumlet({
apiKey: process.env['API_KEY'], // defaults to the API_KEY env var
});
const folder = await client.folders.update('folderId', {
workspace_id: 'workspaceId',
});
console.log(folder);
{
"id": "6975a8a1c2fb61ce19eabcd7",
"name": "Folder 1234",
"video_source_id": "5f553b6cec202a5b44e3dd69",
"parent_id": null,
"path": [],
"path_names": [],
"depth": 0,
"subdirectory_count": 0,
"asset_count": 0,
"created_at": "2026-01-25T05:22:41.527Z",
"updated_at": "2026-08-18T18:18:58.193Z"
}
